/******************************************************************************
*                         ** Company Confidential **
*                  ** Copyright 1994, All rights Reserved **
* %Z%%M% version %I% date:%G%
******************************************************************************/

// -MQBeg- [Module_Includes] [stdiodsp_cc] <0000001B.00000000> Retained!
#include "stdio.h"
#include "ttteng.h"
#include "tttdisp.h"
#include "stdiodsp.h"
// -MQEnd- [Module_Includes] [stdiodsp_cc] <0000001B.00000000> 

// -MQBeg- [Module_Declarations_1] [stdiodsp_cc] <0000001B.00000000> Retained!
// -MQEnd- [Module_Declarations_1] [stdiodsp_cc] <0000001B.00000000> 

// -MQBeg- [Class_Body] [TTT_StdioDisplay] <00000000.00000009> 
/******************************************************************************
                               TTT_StdioDisplay
******************************************************************************/

TTT_StdioDisplay::TTT_StdioDisplay(TTT_Engine *Engine)
// -MQBeg- [Op_Init] [TTT_StdioDisplay::TTT_StdioDisplay] <0000002F.00000012> Retained!
  : TTT_Display(Engine)
// -MQEnd- [Op_Init] [TTT_StdioDisplay::TTT_StdioDisplay] <0000002F.00000012> 
{
// -MQBeg- [Op_Body] [TTT_StdioDisplay::TTT_StdioDisplay] <0000002F.00000012> Retained!
// -MQEnd- [Op_Body] [TTT_StdioDisplay::TTT_StdioDisplay] <0000002F.00000012> 
}

void
TTT_StdioDisplay::DisplayWelcomeMsg()
{
// -MQBeg- [Op_Body] [TTT_StdioDisplay::DisplayWelcomeMsg] <0000002F.00000013> Retained!
  printf("\n\nWelcome to:\n\n");
  printf("  Tic|   |   \n");
  printf("  ---+---+---\n");
  printf("     |Tac|   \n");
  printf("  ---+---+---\n");
  printf("     |   |Toe\n");
  printf("\n");
// -MQEnd- [Op_Body] [TTT_StdioDisplay::DisplayWelcomeMsg] <0000002F.00000013> 
}

void
TTT_StdioDisplay::DisplayIllegalMove()
{
// -MQBeg- [Op_Body] [TTT_StdioDisplay::DisplayIllegalMove] <0000002F.00000014> Retained!
  printf("\n");
  printf(" +------------------+\n");
  printf(" | Illegal Move !!! |\n");
  printf(" +------------------+\n");
// -MQEnd- [Op_Body] [TTT_StdioDisplay::DisplayIllegalMove] <0000002F.00000014> 
}

void
TTT_StdioDisplay::DisplayYouWin()
{
// -MQBeg- [Op_Body] [TTT_StdioDisplay::DisplayYouWin] <0000002F.00000015> Retained!
  printf("\n");
  printf(" +-----------------+\n");
  printf(" |   You Win !!!   |\n");
  printf(" +-----------------+\n");
// -MQEnd- [Op_Body] [TTT_StdioDisplay::DisplayYouWin] <0000002F.00000015> 
}

void
TTT_StdioDisplay::DisplayYouLose()
{
// -MQBeg- [Op_Body] [TTT_StdioDisplay::DisplayYouLose] <0000002F.00000016> Retained!
  printf("\n");
  printf(" +------------------+\n");
  printf(" |   You Lose !!!   |\n");
  printf(" +------------------+\n");
// -MQEnd- [Op_Body] [TTT_StdioDisplay::DisplayYouLose] <0000002F.00000016> 
}

void
TTT_StdioDisplay::DisplayDraw()
{
// -MQBeg- [Op_Body] [TTT_StdioDisplay::DisplayDraw] <0000002F.00000017> Retained!
  printf("\n");
  printf(" +----------------+\n");
  printf(" | Its a Draw !!! |\n");
  printf(" +----------------+\n");
// -MQEnd- [Op_Body] [TTT_StdioDisplay::DisplayDraw] <0000002F.00000017> 
}

void
TTT_StdioDisplay::DisplayMove(int Row, int Col, char Move)
{
// -MQBeg- [Op_Body] [TTT_StdioDisplay::DisplayMove] <0000002F.00000019> Retained!
  if ((Row == 0) && (Col == 0)) printf("\n");
  if ((Row == 1 || Row == 2) && (Col == 0)) printf("  ---+---+---\n");
  switch(Col)
  {
  case 0:
    printf("   %c ", Move);
    break;
  case 1:
    printf("| %c |", Move);
    break; 
  case 2:
    printf(" %c\n",  Move);
    break;
  } 
// -MQEnd- [Op_Body] [TTT_StdioDisplay::DisplayMove] <0000002F.00000019> 
}

// -MQEnd- [Class_Body] [TTT_StdioDisplay] <00000000.00000009> 

// -MQBeg- [Module_Declarations_2] [stdiodsp_cc] <0000001B.00000000> Retained!
// -MQEnd- [Module_Declarations_2] [stdiodsp_cc] <0000001B.00000000> 
